local L = Capitalist.Locale

if GetLocale() then
	L["Alchemy"] = "Alchemy"
	L["Blacksmithing"] = "Blacksmithing"
	L["Cooking"] = "Cooking"
	L["Enchanting"] = "Enchanting"
	L["Engineering"] = "Engineering"
	L["First Aid"] = "First Aid"
	L["Inscription"] = "Inscription"
	L["Jewelcrafting"] = "Jewelcrafting"
	L["Leatherworking"] = "Leatherworking"
	L["Tailoring"] = "Tailoring"

	L["Dust"] = "Dust"
	L["Essence"] = "Essence"
	L["Shard"] = "Shard"
	L["Crystal"] = "Crystal"
	
	L["Enchanting Vellum"] = "Enchanting Vellum"
	
	L["Scroll of Enchant"] = "Scroll of Enchant"
	L["You create:"] = "You create:"
	L["Auction created."] = "Auction created."
	L["Inventory is full."] = "Inventory is full."
	
	L["Scanning"] = "Scanning"
	L["Scanning page %d"] = "Scanning page %d"
	L["Last Scan: "] = "Last Scan: "
	L["Last Scan: failed"] = "Last Scan: failed"
	L["perform scan"] = "perform scan"
	
	L["Posting"] = "Posting"
	L["Posting %d/%d"] = "Posting %d/%d"
	L["cancel auctions"] = "cancel auctions"
	L["post products"] = "post products"
	
	L["cancel yellow auctions"] = "cancel yellow auctions"
	L["cancel blue auctions"] = "cancel blue auctions"
	L["cancel auctions that expire in 12h"] = "cancel auctions that expire in 12h"
	
	L["Nothing to restock!"] = "Nothing to restock!"
	L["Need to restock %d products:"] = "Need to restock %d products:"
	L["Could not restock anything!"] = "Could not restock anything!"
	
	L["Missing components:"] = "Missing components:"
	L["Everything available!"] = "Everything available!"

	L["%dx unknown - need to scan"] = "%dx unknown - need to scan"
	L["%dx cheapest auction"] = "%dx cheapest auction"
	L["%dx undercut - need to repost"] = "%dx undercut - need to repost"
	L["%dx can't undercut cheapest auction"] = "%dx can't undercut cheapest auction"
	L["%dx can repost for higher price"] = "%dx can repost for higher price"
	L["%dx out of stock"] = "%dx out of stock"

	L["General"] = "General"
	
	L["Auction house character"] = "Auction house character"
	L["The name of the character that you do all the Auction House stuff with (optional)"] = "The name of the character that you do all the Auction House stuff with (optional)"
	
	L["Show by default"] = "Show by default"
	L["Automatically opens Capitalist when you enter the Auction House"] = "Automatically opens Capitalist when you enter the Auction House"
	
	L["Minimal profit"] = "Minimal profit"
	L["How much you want to gain at minimum from each product (price is simply added to material cost)."] = "How much you want to gain at minimum from each product (price is simply added to material cost)."
	
	L["Price margin"] = "Price margin"
	L["The increase (in percent) in price, if there is no or very expensive competition."] = "The increase (in percent) in price, if there is no or very expensive competition."
	
	L["Minimal increase"] = "Minimal increase"
	L["How much (in gold) the price should increase at minimum if there is no or very expensive competition."] = "How much (in gold) the price should increase at minimum if there is no or very expensive competition."
	
	L["Maximal increase"] = "Maximal increase"
	L["How much (in gold) the price should increase at maximum if there is no or very expensive competition."] = "How much (in gold) the price should increase at maximum if there is no or very expensive competition."
	
	L["Northrend"] = "Northrend"
	L["If checked, enchants using Northrend components will be produced"] = "If checked, enchants using Northrend components will be produced"
	
	L["Burning Crusade"] = "Burning Crusade"
	L["If checked, enchants using Burning Crusade components will be produced"] = "If checked, enchants using Burning Crusade components will be produced"
	
	L["Classic"] = "Classic"
	L["If checked, enchants using Classic components will be produced"] = "If checked, enchants using Classic components will be produced"
	
	L["Filters"] = "Filters"
	L["all products"] = "all products"
	L["enable or disable all products"] = "enable or disable all products"
	
	L["Component Prices"] = "Component Prices"
	L["Set the price of %s in gold"] = "Set the price of %s in gold"
	
	L["Counts"] = "Counts"
	
	L["Created Products"] = "Created Products"

	L["Debug"] = "Debug"


	L.checkForValidSkillName = 	function(profession,name)
									if (profession == "Enchanting") then
										-- enchanting-specific
										local slot = name:match("Enchant ([%a2 ]+)-.+")		-- validates if the string has the form
										return slot and slot ~= "Ring "						-- "Enchant XY - Z" (with XY != Ring)
									else
										-- TODO: exclude BOP crafts
										return true
									end
								end													

	L.isScrollOfEnchant		=	function(name)
									if (name:find("Scroll of Enchant")) then
										return true
									else
										return false
									end
								end

	-- mining-specific
	L.isBar					=	function(name)
									-- REVIEW: substring test
									local lastWord = name:match("[%a ]+ (%a+)")
									return lastWord == "Bar"
								end

	-- mining-specific / alchemy-specific
	L.getSkillFromBar		=	function(name)
									if (name == "Arcanite Bar") then
										return "Transmute: Arcanite"
									else
										return "Smelt "..string.sub(name, 1, string.len(name) - 4)
									end
								end

	-- enchanting-specific
	L.stripSkillName 		= 	function(name)
									return name:match("Enchant ([%a2 ]+-.+)")			-- strips "Enchant" from the skill name
								end
	-- enchanting-specific
	L.stripScrollPrefix		=	function(name)
									return name:match("Scroll of (%a2 ]+-.+)")			-- strips "Scroll of" from the product name
								end

								-- REVIEW: enchanting-specific
	L.getScrollName			=	function(name)
									name = "Scroll of "..name							-- returns the name of the corresponding scroll for an enchant
									if (name:find("Bracer")) then						
										if (name:find("Striking") or name:find("Major Spirit") or name:find("Major Healing") or
											name:find("Greater Stats") or name:find("Greater Spellpower") or name:find("Greater Assault") or
											name:find("Exceptional Intellect")) then
											name = name:gsub("Bracer ", "Bracers ") -- wth, Blizzard, what the hell
										else
											name = name:gsub("Bracers ", "Bracer ")
										end
									end
									return name
								end
									
end

function Capitalist:ReportSyntax()
	self:Print("Available commands:")
	self:Print("    professions          list character's professions")
	self:Print("    restock                restock 1 item (profession window must be open)")
	self:Print("    sequence NAME  outputs the crafting tree for product NAME")
	self:Print("    top10                   list top 10 crafts for this character [NYI]")
end
